<template>
    <app-layout  :user="user">
        <div class="row justify-content-center">
            <div class="col-lg-6">
                <div v-if="user" class="mb-3">
                    <h1 class="h2 mb-3">Script status</h1>
                    <div v-if="compiling" class="alert alert-warning">Scripts are compiling...</div>
                    <div v-else class="alert alert-success">Scripts are compiled</div>
                    <inertia-link class="btn btn-primary" as="button" type="button" method="post" :href="route('server.recompile')">Force Recompile</inertia-link>
                </div>
                
                <h1 class="h2 mb-3">Server status</h1>
                <dl class="row">
                    <template v-for="(row, index) in serverStatus" :key="index">
                        <dt class="col-sm-4">{{ row[0] }}</dt>
                        <dd class="col-sm-8">{{ row[1] }}</dd>
                    </template>
                </dl>
            </div>
        </div>
    </app-layout>
</template>

<script>
    import { Inertia } from '@inertiajs/inertia'
    import AppLayout from '@/Layouts/AppLayout'

    export default {
        props: {
            'serverStatus': Array,
            'user': Object,
            'compiling': Boolean,
        },
        
        components: {
            AppLayout,
        },
        
        mounted() {
            this.refreshAction = setInterval(() => {
                Inertia.reload({ only: ['serverStatus', 'compiling'] })
            }, 10 * 1000)
        },
        
        unmounted() {
            if (this.refreshAction) {
                clearInterval(this.refreshAction)
            }
        }
    }
</script>